Bug 494233 - Mouse loses ability to select anything
Mouse loses ability to select anything
Status: CLOSED DUPLICATE of bug 494999
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 17:52 EDT by Joshua Rosen
Modified: 2009-05-04 20:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 20:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.conf (421 bytes, text/plain)
2009-04-07 13:02 EDT, Joshua Rosen
no flags Details

  None (edit)
Description Joshua Rosen 2009-04-05 17:52:01 EDT
Description of problem: This behavior has appeared in the last week or two. Some event disables moused based selection. The cursor moves normally and the keyboard works but selection events are ignored, the only solution is to restart X (ctrl-alt-del). This is most frequently associated with a remote window, I've had it happen several times when using rdesktop and once with a SimVision window that was tunneled thru ssh from another F10 system. However I've just had it happen when I was using Evolution locally so it's not a remote window problem exclusively.

The system where I'm seeing this is an HP DV5T laptop with 64 bit F10, NVidia graphics.


Version-Release number of selected component (if applicable):


How reproducible: Random event, happens once or twice a day.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: Xorg.0.log

X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.1.1.el5 x86_64 
Current Operating System: Linux hornet 2.6.27.21-170.2.56.fc10.x86_64 #1 SMP Mon Mar 23 23:08:10 EDT 2009 x86_64
Build Date: 10 March 2009  07:20:43PM
Build ID: xorg-x11-server 1.5.3-15.fc10 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Apr  5 17:28:38 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen Section".
	Using the first device section listed.
(**) |   |-->Device "Videocard0"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(**) Option "AIGLX" "on"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
(**) ModulePath set to "/usr/lib64/xorg/modules/extensions/nvidia,/usr/lib64/xorg/modules"
(**) Extension "Composite" is enabled
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on HAL to provide the list of input devices.
	If no devices become available, reconfigure HAL or disable AllowEmptyInput.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x7aec00
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 4.1
	X.Org XInput driver : 2.1
	X.Org Server Extension : 1.1
	X.Org Font Renderer : 0.6
(II) Loader running on linux
(++) using VT number 1

(--) PCI:*(0@1:0:0) nVidia Corporation GeForce 9200M GS rev 161, Mem @ 0xd2000000/16777216, 0xc0000000/268435456, 0xd0000000/33554432, I/O @ 0x00009000/128
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"

(II) Loading /usr/lib64/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension SELinux
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"

(II) Loading /usr/lib64/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"

(II) Loading /usr/lib64/xorg/modules/extensions/nvidia//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Server Extension
(II) NVIDIA GLX Module  180.29  Thu Feb  5 00:05:47 PST 2009
(II) Loading extension GLX
(II) LoadModule: "freetype"

(II) Loading /usr/lib64/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.5.3, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.6
(II) Loading font FreeType
(II) LoadModule: "dri"

(II) Loading /usr/lib64/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "nvidia"

(II) Loading /usr/lib64/xorg/modules/drivers//nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Video Driver
(II) NVIDIA dlloader X Driver  180.29  Wed Feb  4 23:45:20 PST 2009
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 01@00:00:0
(II) Loading sub module "fb"
(II) LoadModule: "fb"

(II) Loading /usr/lib64/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "wfb"
(II) LoadModule: "wfb"

(II) Loading /usr/lib64/xorg/modules//libwfb.so
(II) Module wfb: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(II) resource ranges after probing:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) NVIDIA(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) NVIDIA(0): Depth 24, (==) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) NVIDIA(0): Option "AddARGBGLXVisuals" "True"
(**) NVIDIA(0): Enabling RENDER acceleration
(II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) NVIDIA(0):     enabled.
(II) NVIDIA(0): NVIDIA GPU GeForce 9200M GS (G98) at PCI:1:0:0 (GPU-0)
(--) NVIDIA(0): Memory: 524288 kBytes
(--) NVIDIA(0): VideoBIOS: 62.98.3f.00.07
(II) NVIDIA(0): Detected PCI Express Link width: 16X
(--) NVIDIA(0): Interlaced video modes are supported on this GPU
(--) NVIDIA(0): Connected display device(s) on GeForce 9200M GS at PCI:1:0:0:
(--) NVIDIA(0):     LPL (DFP-0)
(--) NVIDIA(0): LPL (DFP-0): 330.0 MHz maximum pixel clock
(--) NVIDIA(0): LPL (DFP-0): Internal Dual Link LVDS
(II) NVIDIA(0): Assigned Display Device: DFP-0
(==) NVIDIA(0): 
(==) NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
(==) NVIDIA(0):     will be used as the requested mode.
(==) NVIDIA(0): 
(II) NVIDIA(0): Validated modes:
(II) NVIDIA(0):     "nvidia-auto-select"
(II) NVIDIA(0): Virtual screen size determined to be 1680 x 1050
(--) NVIDIA(0): DPI set to (129, 127); computed from "UseEdidDpi" X config
(--) NVIDIA(0):     option
(**) NVIDIA(0): Enabling 32-bit ARGB GLX visuals.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) NVIDIA(0): Initialized GPU GART.
(II) NVIDIA(0): ACPI display change hotkey events enabled: the X server is new
(II) NVIDIA(0):     enough to receive ACPI display change hotkey events.
(II) NVIDIA(0): Setting mode "nvidia-auto-select"
(II) Loading extension NV-GLX
(II) NVIDIA(0): NVIDIA 3D Acceleration Architecture Initialized
(==) NVIDIA(0): Disabling shared memory pixmaps
(II) NVIDIA(0): Using the NVIDIA 2D acceleration architecture
(==) NVIDIA(0): Backing store disabled
(==) NVIDIA(0): Silken mouse enabled
(II) NVIDIA(0): DPMS enabled
(II) Loading extension NV-CONTROL
(II) Loading extension XINERAMA
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) Initializing extension GLX
(II) config/hal: Adding input device Video Bus
(II) LoadModule: "evdev"

(II) Loading /usr/lib64/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 2.1.3
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event11"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Video Bus
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event10"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Logitech USB Receiver
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event7"
(II) Logitech USB Receiver: Found 1 mouse buttons
(II) Logitech USB Receiver: Found keys
(II) Logitech USB Receiver: Configuring as keyboard
(**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
(**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device AT Translated Set 2 keyboard
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event5"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Sleep Button (CM)
(**) Sleep Button (CM): always reports core events
(**) Sleep Button (CM): Device: "/dev/input/event3"
(II) Sleep Button (CM): Found keys
(II) Sleep Button (CM): Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button (CM)" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Power Button (FF)
(**) Power Button (FF): always reports core events
(**) Power Button (FF): Device: "/dev/input/event0"
(II) Power Button (FF): Found keys
(II) Power Button (FF): Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button (FF)" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Power Button (CM)
(**) Power Button (CM): always reports core events
(**) Power Button (CM): Device: "/dev/input/event1"
(II) Power Button (CM): Found keys
(II) Power Button (CM): Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button (CM)" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105+inet"
(**) Option "xkb_layout" "us"
(II) config/hal: Adding input device Macintosh mouse button emulation
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event4"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) config/hal: Adding input device Logitech USB Receiver
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event6"
(II) Logitech USB Receiver: Found 16 mouse buttons
(II) Logitech USB Receiver: Found x and y relative axes
(II) Logitech USB Receiver: Configuring as mouse
(**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
(**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)
(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) LoadModule: "synaptics"

(II) Loading /usr/lib64/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 0.15.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
(II) Synaptics touchpad driver version 0.15.2
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(**) Option "Device" "/dev/input/event8"
(--) SynPS/2 Synaptics TouchPad touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(--) SynPS/2 Synaptics TouchPad touchpad found
Comment 1 Joshua Rosen 2009-04-05 21:23:21 EDT
It's happen a couple more times, once when using Firefox and once in PAN.
Comment 2 Matěj Cepl 2009-04-07 12:12:44 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Joshua Rosen 2009-04-07 13:02:53 EDT
Created attachment 338534 [details]
Xorg.conf
Comment 4 Joshua Rosen 2009-04-07 13:07:27 EDT
I've uploaded my xorg.conf. I've also disabled NetworkManager. It occurred to me that the problem could be caused by some program capturing the mouse in a model fashion. My first suspect is NetworkManger because it's been behaving so badly with the latest versions. The broke it with the 99-4 release, 99-5 made it work sort of but it doesn't work well. I've been getting this problem more and more frequently today even with very little running.
Comment 5 Joshua Rosen 2009-04-10 11:09:45 EDT
I'm more convinced that this problem is somehow related to NetworkManager or it's applet. I disabled NetworkManager a couple of days ago and I haven't had the problems since. It was happening frequently just before I disabled NetworkManager.
Comment 6 Joshua Rosen 2009-04-10 12:13:13 EDT
It's definitely not NetworkManager, that was a red-herring. I've had the problem again and NetworkManager is disabled. I was accessing a VM via ssh when it happened. I was doing it through Xemacs so when the mouse lost the ability to select anything I was still able to access an Xemacs shell. I killed all of the applets and all the running applications including Evolution and pan. That didn't fix it. An Evolution calender popup appeared which took me out of Xemacs and into the popup, after that I couldn't do anything and had to kill the X-session.
Comment 7 Peter Hutterer 2009-04-14 01:15:41 EDT
you seem to have a synaptics pad and what I think is a logitech wireless mouse. does it happen with both devices or just one of them?

when it happens, do you see any click/motion events in xev? If so, please post the output, I'd be interested in the state that is reported.

please run http://people.freedesktop.org/~whot/grabtest.c when that happens, this should tell us if there's a stuck grab.
Comment 8 Joshua Rosen 2009-04-14 08:04:28 EDT
I normally have the Synaptics pad disabled, however I did enable it the last time it happened to see if I could get mouse selection to work with it, it didn't help. I also tried pulling out the wireless transponder for the mouse and moving it to another USB port, that didn't fix it either. The only thing that works is to restart X.
Comment 9 Peter Hutterer 2009-04-14 20:36:19 EDT
Right, so it's a server bug then, not a mouse bug. Moving component. I'd still need you to run the grabtest program though to check if it's generally busted of if a particular client doesn't let the mouse go.
Comment 10 Joshua Rosen 2009-04-14 21:01:56 EDT
I haven't been able to compile grabtest. Is there a particular development package I need to install?

gcc grabtest.c 
/tmp/ccEmE4tp.o: In function `main':
grabtest.c:(.text+0xe): undefined reference to `XOpenDisplay'
grabtest.c:(.text+0x1c): undefined reference to `XOpenDisplay'
grabtest.c:(.text+0xb9): undefined reference to `XGrabPointer'
grabtest.c:(.text+0xee): undefined reference to `XUngrabPointer'
grabtest.c:(.text+0xfc): undefined reference to `XSync'
grabtest.c:(.text+0x14d): undefined reference to `XGrabKeyboard'
grabtest.c:(.text+0x182): undefined reference to `XUngrabKeyboard'
grabtest.c:(.text+0x18b): undefined reference to `XCloseDisplay'
grabtest.c:(.text+0x194): undefined reference to `XCloseDisplay'
collect2: ld returned 1 exit status
/home/bjrosen/tmp>
Comment 11 Peter Hutterer 2009-04-15 00:15:43 EDT
gcc -lX11 -o grabtest grabtest.c
Comment 12 Joshua Rosen 2009-04-15 07:34:07 EDT
When do you want me to run grabtest? Do you want me to run it when the problem occurs?
Comment 13 Peter Hutterer 2009-04-15 20:58:54 EDT
yes. all this program does is to grab the pointer and the keyboard. If this succeeds, it means that the server has an issue where the events get lost.
If this fails, it usually means that there is one application currently running that holds a grab. This explains why events aren't delivered as normal - only that application get them.
Comment 14 Joshua Rosen 2009-04-15 21:47:49 EDT
Thanks, I'll run it the next time the problem occurs assuming that it happens when I'm inside of Xemacs (because you can open a shell without a mouse in Xemacs, if I'm in some other program there is no way to run anything else because you can't switch to another application with a keyboard command).
Comment 15 Joshua Rosen 2009-04-17 18:59:51 EDT
I was able to run grabtest after a failure, grabbing pointer failed, grabbing keyboard passed. This time the failure occured when I was away from the system. There as a rsync to a remote system running, as well as Evolution, Xemacs, Firefox, and pan. Firefox was doing one of it's background plugin updates, when I restarted it after logging back in it did a plugin install. I wonder if Firefox was the culprit. I'll try keeping Firefox closed for a while.
Comment 16 Joshua Rosen 2009-04-17 19:41:02 EDT
It's not Firefox, it happened when the only thing I had open was a couple of terminals. I was doing an rsync at the time.
Comment 17 Joshua Rosen 2009-05-01 12:04:11 EDT
Here is another data point, I switched to a wired mouse from a wireless mouse. The frequency of the problem seems to have been reduced but it didn't fix it. I'm now running with F9 instead of F10, I'll let you know if the problem occurs with F9.
Comment 18 Peter Hutterer 2009-05-04 20:31:13 EDT
Looks like the same problem as 494999.

*** This bug has been marked as a duplicate of bug 494999 ***

Note You need to log in before you can comment on or make changes to this bug.